
version: '3'

services:
  gomoku1:
    image: ubuntu
    volumes:
      - ./main:/main
      - ./ai_data1:/ai_data
    restart: always
    entrypoint: ./main arena
  gomoku2:
    image: ubuntu
    volumes:
      - ./main:/main
      - ./ai_data2:/ai_data
    restart: always
    entrypoint: ./main arena
  gomoku3:
    image: ubuntu
    volumes:
      - ./main:/main
      - ./ai_data3:/ai_data
    restart: always
    entrypoint: ./main arena
  gomoku4:
    image: ubuntu
    volumes:
      - ./main:/main
      - ./ai_data4:/ai_data
    restart: always
    entrypoint: ./main arena

